# Varbase Page

Defines simple text field types.Provides Basic page content type and related configuration.

## Varbase Page Module

{% hint style="info" %}
Varbase basic page features are bundled through the **Varbase Page** module as part of the **Varbase Core** module.

\
GitHub: <https://github.com/Vardot/varbase_core>\
Drupal.org: <https://www.drupal.org/project/varbase_core>&#x20;

After building a project using the `varbase-project` template, you can see the code of the **Varbase Page** module in:
{% endhint %}

```
project_directory
|-- docroot
    |-- modules
        |-- contrib
            |-- varbase_core
                |-- contrib
                    |-- modules
                        |-- varbase_page
```

Brings in the following core and contributed modules to your site:

| Module                                                                                | Purpose                                                                                             |
| ------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| <p><strong>Text</strong></p><p><em>(in Drupal core)</em></p>                          | Defines simple text field types.                                                                    |
| <p><strong>Text Editor</strong></p><p><em>(in Drupal core)</em></p>                   | Provides a means to associate text formats with text editor libraries such as WYSIWYGs or toolbars. |
| <p><strong>CKEditor 5</strong></p><p><em>(in Drupal core)</em></p>                    | Provides the CKEditor 5 rich text editor.                                                           |
| <p><strong>Menu UI</strong></p><p><em>(in Drupal core)</em></p>                       | Allows administrators to customize the site navigation menu.                                        |
| [**Rabbit Hole**](https://www.drupal.org/project/rabbit_hole)                         | Basic functionality that is shared among the different Rabbit Hole modules.                         |
| [**Real-time SEO**](https://www.drupal.org/project/yoast_seo)                         | Adds Real-time SEO page analysis and configuration                                                  |
| [**Metatag**](https://www.drupal.org/project/metatag)                                 | Manage meta tags for all entities.                                                                  |
| [**Length Indicator**](https://www.drupal.org/project/length_indicator)               | Adds an optional length indicator to fields                                                         |
| [**Advanced Text Formatter**](https://www.drupal.org/project/advanced_text_formatter) | Provides an additional formatter for text field, text area and text format.                         |
| [**Maxlength**](https://www.drupal.org/project/maxlength)                             | Limit the number of characters in textfields and textareas and shows the amount of characters left. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/10.1.x/developers/understanding-varbase/core-components/varbase-core/varbase-page.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
